<id>
NoSpammerEmail YaBB2.5
</id>

<version>
0.3 beta
</version>

<mod info>
This mod will allow the admin to choose whether or not the default reject email message is sent when the board is in pre-registration and admin approval mode even if no reason is given by the admin.

Version History
---------------
0.1 beta - First release - April 25, 2012
0.2 beta - clarified instructions - Apr 28, 2012

For YaBB 2.5

Instructions:

Apply the mod and upload (in ASCII mode):

cgi-bin/yabb2/Admin/NewSettings.pl
cgi-bin/yabb2/Admin/SettingsMain.pl.pl
cgi-bin/yabb2/Admin/RegistrationLog.pl
cgi-bin/yabb2/Languages/English/Admin.lng

</mod info>

<author>
Dandello, German and German_Du translations courtesy pyragony 
</author>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$nospammeremail = "NoSpammerEmail_YaBB25|Dandello|This mod will allow the admin to set whether or not the default reject email message is sent when the board is in pre-registration and admin approval mode.|0.3 beta|05/12/12";
	push (@installed_mods, "$nospammeremail");
</add before>


<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$gender_on_reg = $gender_on_reg;			# 0: don't ask for gender on registration
							# 1: ask for gender, no input required
							# 2: ask for gender, input required
</search for>

<add after>
\$nomailspammer = $nomailspammer;         # 1: send deleted account email 
</add after>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
			name => 'RegAgree',
			validate => 'boolean',
			depends_on => ['regtype!=0'],
		},
</search for>

<add after>
            {
                description =>
                  qq~<label for="nomailspammer">$admin_txt{'nospammer'}</label>~,
                input_html =>
qq~<input type="checkbox" name="nomailspammer" id="nomailspammer" value="1" ${ischecked($nomailspammer)} />~,
                name       => 'nomailspammer',
                validate   => 'boolean',
                depends_on => ['regtype==1'],
            },
</add after>


<edit file>
Admin/RegistrationLog.pl
</edit file>

<search for>
	# check if waiting user exists
	if (-e "$memberdir/$deluser.wait") {
		&LoadUser($deluser);
		## send a rejection email ##
		my $templanguage = $language;
		$language = ${$uid.$deluser}{'language'};
		&LoadLanguage('Email');
		require "$sourcedir/Mailer.pl";
		if ($admin_reason ne "") {
			$message = &template_email($reviewrejectedemail, {'displayname' => ${$uid.$deluser}{'realname'}, 'username' => $deluser, 'reviewer' => ${$uid.$username}{'realname'}, 'reason' => $admin_reason });
		} else {
			$message = &template_email($instantrejectedemail, {'displayname' => ${$uid.$deluser}{'realname'}, 'username' => $deluser, 'reviewer' => ${$uid.$username}{'realname'}});
		}
		&sendmail(${$uid.$deluser}{'email'}, "$mailreg_txt{'apr_result_reject'} $mbname", $message,'',$emailcharset);
</search for>

<replace>
    # check if waiting user exists
    if ( -e "$memberdir/$deluser.wait" ) {
        LoadUser($deluser);
        ## send a rejection email ##
        my $templanguage = $language;
        $language = ${ $uid . $deluser }{'language'};
        LoadLanguage('Email');
        require "$sourcedir/Mailer.pl";
        if ( $admin_reason ne q{} ) {
            $message = template_email(
                $reviewrejectedemail,
                {
                    'displayname' => ${ $uid . $deluser }{'realname'},
                    'username'    => $deluser,
                    'reviewer'    => ${ $uid . $username }{'realname'},
                    'reason'      => $admin_reason
                }
            );
        sendmail(
            ${ $uid . $deluser }{'email'},
            "$mailreg_txt{'apr_result_reject'} $mbname",
            $message, q{}, $emailcharset
        );
        }
        elsif ( $nomailspammer == 1 ) {
            $message = template_email(
                $instantrejectedemail,
                {
                    'displayname' => ${ $uid . $deluser }{'realname'},
                    'username'    => $deluser,
                    'reviewer'    => ${ $uid . $username }{'realname'}
                }
            );

            sendmail(
                ${ $uid . $deluser }{'email'},
                "$mailreg_txt{'apr_result_reject'} $mbname",
                $message, q{}, $emailcharset
            );
        }
</replace>


<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
);

%floodtxt = (
</search for>

<add before>
'nospammer' => 'Check to send default email to rejected users even when no reason is given.',
</add before>

